@echo off
REM 5724-I63, 5724-H88 (C) COPYRIGHT International Business Machines Corp. 2001, 2005
REM All Rights Reserved * Licensed Materials - Property of IBM

set LB_SCRIPTPATH=-Dcom.ibm.ws.loadbalancer.scripts=%IBMULBPATH%\servers\bin
chcp | find "850" > nul
if not ERRORLEVEL 1 set LB_ENCODING=-Dfile.encoding=Cp850

set LB_CLIENT_KEYS=-DLB_CLIENT_KEYS_DIRECTORY=%IBMULBPATH%\admin\keys
set LB_SERVER_KEYS=-Dcom.ibm.edge.nd.ServerKeysDirectory=%IBMULBPATH%\servers\key
set LB_INSTALL_PATH=-DLB_INSTALL_PATH=%IBMULBPATH%
set LB_CLASSPATH=%IBMULBPATH%\servers\lib;%IBMULBPATH%\servers\lib\ibmlb.jar;%IBMULBPATH%\servers\lib\ibmlb2.jar;%IBMULBPATH%\admin\lib\ChartRuntime.jar;%IBMULBPATH%\admin\lib\management.jar;%IBMULBPATH%\admin\lib\tmx4jc.jar;%IBMULBPATH%\servers\lib\CustomAdvisors
set LB_RMIPORT=10099
set LB_LOGDIR=%IBMULBPATH%\servers\logs\dispatcher\
set LB_SAVEDIR=%IBMULBPATH%\servers\configurations\dispatcher\
set LB_BINDIR=%IBMULBPATH%\servers\bin\
set LB_CONFIGFILE=default.cfg
set LB_RMISERVERPORT=10199
set PATH=%IBMULBPATH%\servers\bin;%IBMULBPATH%\servers\lib;%PATH%

if "%1" == "s" goto stop
if "%1" == "st" goto stop
if "%1" == "sto" goto stop
if "%1" == "stop" goto stop

%IBMULBPATH%\java\jre\bin\java  %LB_SCRIPTPATH% %LB_ENCODING% -Xrs -cp %LB_CLASSPATH% %LB_INSTALL_PATH% %LB_CLIENT_KEYS% %LB_SERVER_KEYS% -Djava.rmi.server.hostname=127.0.0.1 -Djava.protocol.handler.pkgs=com.ibm.net.ssl.internal.www.protocol com.ibm.internet.nd.server.SRV_KNDConfigServer %LB_RMIPORT% %LB_LOGDIR% %LB_SAVEDIR%  %LB_BINDIR% %LB_CONFIGFILE% %LB_RMISERVERPORT%
goto done

:stop
%IBMULBPATH%\java\jre\bin\java  %LB_SCRIPTPATH% %LB_ENCODING% -cp %LB_CLASSPATH% %LB_INSTALL_PATH% %LB_CLIENT_KEYS% %LB_SERVER_KEYS% com.ibm.internet.nd.server.SRV_KillServer KNDServer

:done
